Bug 959056 (CVE-2013-1985) - CVE-2013-1985 libXinerama: Integer overflow leading to heap-based buffer overflow
Summary: CVE-2013-1985 libXinerama: Integer overflow leading to heap-based buffer over...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1985
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 966812 1078030
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-03 05:20 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:04 UTC (History)
5 users (show)

Fixed In Version: libXinerama 1.1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 06:08:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-03 05:20:42 UTC
An integer overflow leading to heap-based buffer overflow was found in the XineramaQueryScreens() function of libXinerama, X.Org X11 libXinerama runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

Comment 4 Jan Lieskovsky 2013-05-23 15:32:25 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 5 Huzaifa S. Sidhpurwala 2013-05-24 03:45:11 UTC
Created libXinerama tracking bugs for this issue

Affects: fedora-all [bug 966812]

Comment 6 Fedora Update System 2013-05-28 02:12:28 UTC
libXinerama-1.1.2-5.20130524git99c644fc8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-06-03 02:59:28 UTC
libXinerama-1.1.2-5.20130524git99c644fc8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Huzaifa S. Sidhpurwala 2013-06-05 03:32:17 UTC
This issue affects the version of libXinerama as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 9 Huzaifa S. Sidhpurwala 2013-06-05 03:46:18 UTC
Statement:

This issue affects the libXinerama package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 10 Jan Lieskovsky 2013-06-17 12:58:14 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 12 errata-xmlrpc 2014-10-14 05:05:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.